Configure session as a deposit and return a quote
curl --request POST \
--url https://{host}/extern/fe/intent/{intentId}/quote/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Publishable-Key: <api-key>' \
--data '
{
"chainId": "<string>",
"inputAssetAddress": "<string>",
"eoa": "<string>",
"amount": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Publishable-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
chainId: '<string>',
inputAssetAddress: '<string>',
eoa: '<string>',
amount: '<string>'
})
};
fetch('https://{host}/extern/fe/intent/{intentId}/quote/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent/{intentId}/quote/deposit"
payload = {
"chainId": "<string>",
"inputAssetAddress": "<string>",
"eoa": "<string>",
"amount": "<string>"
}
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"intentId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": "<unknown>",
"quoteSummary": "<unknown>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "<string>",
"txHashes": [
"<string>"
],
"chainIds": [
123
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": "<unknown>"
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Configure session as a deposit and return a quote
POST
/
extern
/
fe
/
intent
/
{intentId}
/
quote
/
deposit
Configure session as a deposit and return a quote
curl --request POST \
--url https://{host}/extern/fe/intent/{intentId}/quote/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Publishable-Key: <api-key>' \
--data '
{
"chainId": "<string>",
"inputAssetAddress": "<string>",
"eoa": "<string>",
"amount": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Publishable-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
chainId: '<string>',
inputAssetAddress: '<string>',
eoa: '<string>',
amount: '<string>'
})
};
fetch('https://{host}/extern/fe/intent/{intentId}/quote/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent/{intentId}/quote/deposit"
payload = {
"chainId": "<string>",
"inputAssetAddress": "<string>",
"eoa": "<string>",
"amount": "<string>"
}
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"intentId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": "<unknown>",
"quoteSummary": "<unknown>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "<string>",
"txHashes": [
"<string>"
],
"chainIds": [
123
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": "<unknown>"
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Authorizations
Tenant publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Path Parameters
Body
application/json
Last modified on July 3, 2026
Was this page helpful?
Get session status, metadata and cached payload
Previous
Configure session as a withdraw and return calldata
Next
⌘I